(* ------------------------------------------------------------	*)
MODULE CP;
  IMPORT 
	AgentObjects := AO,
	mscorlib_System := Sys;

  VAR peedy : AO.IAgentCtlCharacter;

  (* --------------------------------------------------	*)

  PROCEDURE Hello*(agent   : AO.Agent;
		   mfinish : AO.IAgentCtlRequest;
	       VAR pfinish : AO.IAgentCtlRequest);
    VAR r : AO.IAgentCtlRequest;
  BEGIN
    r := agent.get_Characters().Load("Peedy", "peedy.acs");
    peedy := agent.get_Characters().Character("Peedy");
    r := peedy.Wait(mfinish); 	(* wait for Merlin to finish *)
    r := peedy.MoveTo(200,300, NIL);
    r := peedy.Show(NIL);
    r := peedy.Speak("Hello Merlin!", NIL);
    r := peedy.Speak("Hello Robby!", NIL);
    r := peedy.Speak("G'Day I'm Peedy.", NIL);
    r := peedy.MoveTo(450,300, NIL);
    r := peedy.Speak("My driver's written using Component Pascal!", NIL);
    r := peedy.Speak("Component Pascal has a long and honorable heritage starting with Pascal in 1970", NIL);
    r := peedy.Speak("Then came Modula-2 'round 1980, and Oberon-2 in the 1990s", NIL);
    r := peedy.Speak("Component Pascal adds", NIL);
    r := peedy.Play("DoMagic1");
    r := peedy.Play("DoMagic2");
    r := peedy.Speak("Facilities specifically for programming components", NIL);
    r := peedy.Play("Pleased");
    r := peedy.Speak("That's all folks!", NIL);
    pfinish := peedy.Play("Wave");
    r := peedy.Hide( NIL);
  END Hello;

  (* --------------------------------------------------	*)

  PROCEDURE Bye*(finish1 : AO.IAgentCtlRequest;
		 finish2 : AO.IAgentCtlRequest;
	     VAR pending : AO.IAgentCtlRequest);
    VAR r : AO.IAgentCtlRequest;
  BEGIN
    r := peedy.Wait(finish1);
    r := peedy.Wait(finish2);
    r := peedy.Speak("That's all folks!", NIL);
    r := peedy.Play("Wave");
    pending := peedy.Hide(NIL);
  END Bye;

  (* --------------------------------------------------	*)

END CP.	
(* ------------------------------------------------------------	*)
